/**
 * 错误监控模块
 */
export interface ErrorInfo {
    type: string;
    message: string;
    stack?: string;
    filename?: string;
    position?: string;
    timestamp: number;
}
export declare class ErrorMonitor {
    private static errorList;
    private static reporter;
    /**
     * 初始化错误监控
     */
    static init(): void;
    /**
     * 监听JS运行时错误
     */
    private static initJsErrorListener;
    /**
     * 监听Promise未处理的异常
     */
    private static initPromiseErrorListener;
    /**
     * 监听资源加载错误
     */
    private static initResourceErrorListener;
    /**
     * 获取收集到的错误信息
     */
    static getErrors(): ErrorInfo[];
    /**
     * 清空错误信息
     */
    static clearErrors(): void;
}
