/**
 * 性能监控模块
 */
export interface PerformanceInfo {
    type: string;
    value: number;
    timestamp: number;
    pageUrl: string;
    pageInfo: {
        title: string;
        path: string;
        loadTime?: number;
        referrer: string;
    };
    metadata?: any;
}
export interface PagePerformance {
    dns: number;
    tcp: number;
    ttfb: number;
    download: number;
    domParse: number;
    dcl: number;
    load: number;
    fcp: number;
    lcp: number;
    fid: number;
    cls: number;
}
export declare class PerformanceMonitor {
    private static performanceList;
    private static reporter;
    /**
     * 初始化性能监控
     */
    static init(): void;
    /**
     * 监控页面性能指标
     */
    private static initPagePerformance;
    private static initResourcePerformance;
    private static initWebVitals;
    /**
     * 获取收集到的性能数据
     */
    static getPerformanceData(): PerformanceInfo[];
    /**
     * 清空性能数据
     */
    static clearPerformanceData(): void;
}
